* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
}

:root {
    background-color: #ffffff;
}

body {
  font-family: 'Raleway', sans-serif;
  max-width: 1440px;
  min-width: 320px;
  margin: 0 auto;
}

.header {
    height: 25vh;
    width: 100vw;
}

.navbar {
    width: 100%;
    margin: auto;
    display: flex;
    justify-content: space-between;
}

@media screen and (max-width: 768px) {
    .navbar {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
}

.logo {
    width: 120px;
    cursor: pointer;
    padding: 35px 0 0 70px;
}

@media screen and (max-width: 1024px) {
    .logo {
        padding: 35px 0 0 25px;
    }
}

.navbar ul {
    padding: 0 35px 0 0;
}

@media screen and (max-width: 1024px) {
    .navbar ul {
        padding: 0;
        font-size: 0;
    }
}

@media screen and (max-width: 768px) {
    .navbar ul {
        margin-top: 40px;
        width: 100%
    }
}

.navbar ul li {
    list-style: none;
    display: inline-block;
    margin: 14px 35px;
    position: relative;
    font-size: 20px;
}

@media screen and (max-width: 768px) {
    .navbar ul li {
        text-align: center;
        width: 50%;
        margin-left: 0;
        margin-right: 0;
        border-bottom: 3px solid #f2f2f2;
        padding: 0 0 15px 0;
    }
}


.navbar ul li::after {
    content: '';
    height: 2px;
    width: 0%;
    background: #0065fc;
    position: absolute;
    left: 0;
    top: -14px;
}

@media screen and (max-width: 768px) {
    .navbar ul li::after {
        content: none;
    }
}

@media screen and (max-width: 768px) {
    .navbar ul li:after {
        top: 40px;
    }
}

.navbar ul li:hover:after {
    width: 100%;
    color: #0065fc;
   }

.navbar ul li a:hover {
    color : #0065fc;
}

@media screen and (max-width: 768px) {
    .navbar ul li:hover {
        border-bottom: 3px solid #0065fc;
    }

    .navbar ul li:hover >a {
        color: #0065fc;
        border-top: none;
    }
}

section#intro {
    margin : 0 0 0 70px;
    display: flex;
    flex-direction: column;
}

@media screen and (max-width: 1024px) {
    section#intro {
        margin: 0 0 0 25px;
    }
}

@media screen and (max-width: 768px) {
    section#intro {
        margin: 0 0 0 20px;
    }
}


#intro h1 {
    font-size: 2rem;
    margin-bottom: 0.5rem;
}

@media screen and (max-width: 400px) {
    #intro h1 {
        font-size: 2rem;
        margin-bottom: 0.5rem;
    }
}

#intro p {
    font-size: 1.4rem;
}

@media screen and (max-width: 400px) {
    #intro p {
        font-size: 1.4rem;
    }
}

form {
    margin: 0 0 0 70px;
    margin-top: 2rem;
}

@media screen and (max-width: 1024px) {
    form {
        margin: 32px 0 0 25px;
    }
}

@media screen and (max-width: 768px) {
    form {
        margin: 32px 0 0 20px
    }
}

.search-bar {
    display: inline-flex;
    flex-direction: row;
    border: 1px solid var(--grey);
    border-radius: 20px;
}

.marker-icon {
    min-width: 55px;
    background-color: #f2f2f2;
    font-size: 18px;
    border-radius: 16px 0 0 16px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.search-bar input {
    width: 200px;
    height: 50px;
    border: 1px solid #f2f2f2;
    outline: none;
    padding: 0 25px;
    background: #ffffff;
    font-size: 18px;
    font-weight: 700;
    font-family: "Raleway", sans-serif;
}

@media screen and (max-width: 768px) {
    .search-bar input {
        width: 150px;
    }
}

.btn-search {
    background-color: #0065fc;
    color: #fff;
    border: none;
    border-radius: 0 16px 16px 0;
    padding: 0 18px;
    font-size: 18px;
    cursor: pointer;
}

@media screen and (max-width: 768px) {
    .btn-search {
        display: none;
    }
}

.btn-search2 {
    background-color: #0065fc;
    color: #fff;
    border: none;
    border-radius: 0 16px 16px 0;
    padding: 0 18px;
    font-size: 18px;
    cursor: pointer;
    display: none;
}

@media screen and (max-width: 768px) {
    .btn-search2 {
        display: block;
    }
}

.filtres {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 30px;
    margin: 50px 0 0 70px;
}

@media screen and (max-width: 1024px){
    .filtres {
        flex-direction: column;
        align-items: baseline;
        margin: 50px 0 0 25px;
    }
}

@media screen and (max-width: 768px){
    .filtres {
        margin: 50px 0 0 20px;
    }
}

.icon-filtre {
    color: #0065fc;
    height: 20px;
    width: 20px;
    font-size: 20px;
    padding : 0px 10px 0px 15px;
}

.filtres ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 25px;
}

@media screen and (max-width: 400px) {
    .filtres ul {
        gap: 16px;
    }
}

.filtres ul li {
    display: flex;
    flex-direction: row;
    align-items: center;
    box-shadow: inset 0 0 0 2px #d9d9d9;
    border-radius: 50px;
    cursor: pointer;
    
}

.filtres ul li:hover {
    background-color: #deebff;
}

.filtres ul li span {
    margin: 14px 24px 14px 0px;
    font-size: 18px;
    font-weight: 700;
    color: black;
}

@media screen and (max-width: 400px) {
    .filtres ul li span {
        font-size: 16px;
    }
}


.info {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 12px;
    margin: 40px 0 0 70px;
}

@media screen and (max-width: 1024px) {
    .info {
        margin: 40px 0 0 25px;
    }
}

@media screen and (max-width: 768px) {
    .info {
        margin: 40px 0 0 20px;
    }
}


.info .icon-container {
    min-width: 23px;
    height: 23px;
    border: 1px solid #d9d9d9;
    border-radius: 50px;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.icon-info {
    width : 12px;
    height: 12px;
    color: #0065fc;
}

@media screen and (max-width: 400px) {
    .info p {
        font-size: 13px;
    }
}

.hosting-menu {
    width: 92%;
    margin: 40px 0 0 70px;
    display: flex;
    flex-direction: row;
    gap: 40px;
}

@media screen and (max-width: 1024px) {
    .hosting-menu {
        flex-direction: column;
        margin: 40px 0 0 25px;
    }
}

@media screen and (max-width: 768px) {
    .hosting-menu {
        margin: 40px 0 0 0px;
    }
}

.hosting {
    background: #f2f2f2;
    width: 85%;
    border-radius: 20px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

@media screen and (max-width: 1024px) {
    .hosting {
        width: 96%;
    }
}

@media screen and (max-width: 768px){
    .hosting {
        border-radius: 0;
        width: calc(100% - 30px);
        background: #ffffff;
        order: 2;
    }
}

.hosting h2 {
    font-size: 24px;
}

.hosting .cards {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 30px 0;
}

@media screen and (max-width: 768px){
    .hosting .cards {
        flex-direction: column;
    }
}

.hosting .cards a {
    width: 31%;
}

@media screen and (max-width: 768px) {
    .hosting .cards a {
        width: 100%;
    }
}

.hosting .cards .card {
    background: #ffffff;
    display: flex;
    flex-direction: column;
    padding: 5px;
    border-radius: 20px;
    transition: .3s;
    box-shadow: 0 0 15px 3px rgba(0,0,0,0.1);
}

.hosting .cards .card:hover {
    transform: scale(1.05);
}

.hosting .cards .card img {
    width: 100%;
    height: 114px;
    object-fit: cover;
    border-radius: 15px 15px 0 0;
}

@media screen and (max-width: 768px) {
    .hosting .cards .card img {
        height: 250px;
    }
}

.hosting .cards .card .container {
    padding: 12px 16px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 8px;
}

.hosting .cards .card .container .description {
    display: flex;
    flex-direction: column;
    gap: 8px;
    color: black;
}

.hosting .cards .card .container .description span {
    font-size: 14px;
}

.hosting .cards .card .container .star-rating .icon-star-blue {
    color: #0065fc;
}

.hosting .cards .card .container .star-rating .icon-star-grey {
    color: #f2f2f2;
}

.hosting .show-more {
    font-size: 18px;
    font-weight: 700;
    color: black;
    margin-top: 10px;
}

.popular {
    background: #f2f2f2;
    width: 52%;
    border-radius: 20px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

@media screen and (max-width: 1024px) {
    .popular {
        width: 96%;
    }
}

@media screen and (max-width: 768px) {
    .popular {
        border-radius: 0px;
        width: calc(100% - 30px);
        order: 1;
    }
}

.popular .title {
    display: flex;
    justify-content: space-between;
}

.popular .cards {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 30px;
}

@media screen and (max-width: 768px) {
    .popular .cards {
        flex-direction: column;
    }
}

.popular .cards a {
   width: 100%;
}

@media screen and (max-width: 1024px) {
    .popular .cards a {
        width: 31%;
    }
}

@media screen and (max-width: 768px) {
    .popular .cards a {
        width: 100%;
    }
}

.popular .cards .card {
    background-color: #ffffff;
    padding: 5px;
    border-radius: 20px;
    box-shadow: 0 0 15px 3px rgba(0,0,0,0.1);
    transition: .3s;
    display: flex;
    flex-direction: row;
}

.popular .cards .card:hover {
    transform: scale(1.05);
}

.popular .cards .card img {
    width: 130px;
    height: 139px;
    object-fit: cover;
    border-radius: 15px 0 0 15px;
}

.popular .cards .card .container {
    padding: 12px 16px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.popular .cards .card .container .description {
    display: flex;
    flex-direction: column;
    gap: 8px;
    color: black;
}

.popular .cards .card .container .star-rating .icon-star-blue {
    color: #0065fc;
}

.popular .cards .card .container .star-rating .icon-star-grey {
    color: #f2f2f2;
}

.popular .cards .card .container .description span {
    font-size: 14px;
}

.activity-menu {
    width: 88%;
    padding: 30px 30px 50px 30px;
    margin: 40px 0 0 70px;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

@media screen and (max-width: 1024px) {
    .activity-menu {
        margin: 40px 0 0 25px;
     }
}

@media screen and (max-width: 768px) {
    .activity-menu {
        margin: 40px 0 50px 30px;
        padding: 0
     }
}

.activity-menu .cards {
    display: flex;
    justify-content: space-between;
}

@media screen and (max-width: 768px) {
    .activity-menu .cards {
        flex-direction: column;
        gap: 20px;
    }
}

.activity-menu .cards a{
    width: 22%;
    height: 100%;
 }

 @media screen and (max-width: 768px) {
    .activity-menu .cards a {
        width: 100%;
        height: 80%;
    }
 }

.activity-menu .cards .card {
    background-color: #ffffff;
    box-shadow: 0 0 15px 3px rgba(0,0,0,0.1);
    transition: .3s;
    border-radius: 20px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.activity-menu .cards .card:hover {
    transform: scale(1.05);
}

.activity-menu .cards .card img {
    width: 100%;
    height: 500px;
    object-fit: cover;
    border-radius: 20px 20px 0 0;
}

@media screen and (max-width: 1024px) {
    .activity-menu .cards .card img {
        height: 300px;
    }
}

.activity-menu .cards .card .container {
    display: flex;
}

.activity-menu .cards .card .container .description {
    display: flex;
    flex-direction: column;
    gap: 8px;
    color: black;
}

.activity-menu .cards .card .container .description h4{
    padding: 24px 20px;
    color: black;
}

footer .container {
    background : #f2f2f2;
    max-width: 100%;
    margin: auto;
    padding: 50px 50px;
    display: flex;
    flex-direction: row;
    gap: 250px;
}

@media screen and (max-width: 1024px) {
    footer .container {
        width: 85%;
        gap: 180px;
    }
}

@media screen and (max-width: 768px) {
    footer .container {
        flex-direction: column;
        gap: 65px;
        width: calc(100% - 100px)
    }
}

.links {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

footer .container .links h3 {
    font-size: 18px;
}

footer .container .links ul {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

footer .container .links li {
    display: list-item;
}

footer .container .links ul li a {
    color: black;
    display: inline-block;
    position: relative;
}

footer .container .links ul li a:after {
    content: '';
    height: 1px;
    width: 0%;
    background: black;
    position: absolute;
    left: 0;
    bottom: -2px;
}

footer .container .links ul li a:hover:after{
    width: 100%;
    color: black;
}

